## sitecopy 0.16.6

=== debian/changelog ===
sitecopy (1:0.16.6-5) unstable; urgency=low

  * 20-bts549721-add-compatibility-for-neon-0.29.0.patch
    - extended to also allow neon 0.30.0; thanks to David Suárez for the report
      and to Vincent Danjean for the patch; Closes: 720804
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)
    - use Alioth canonical URLs
    - remove Conflicts, no longer needed

 -- Sandro Tosi <morph@debian.org>  Sun, 20 Oct 2013 01:03:35 +0200

sitecopy (1:0.16.6-4) unstable; urgency=low

  [ Kartik Mistry ]
  [Kartik Mistry]
  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes needed)
    + Description should not start with article
  * debian/copyright:
    + Updated for DEP-5 format

  [Sandro Tosi]
  * debian/control:
    + bump Standards-Version to 3.8.4 (no changes needed)
    + Wrapped up Build-Depends
    - improvements to description, from Christian Kujau
  * debian/patches/30_bts320586_manpage_document_sftp.dpatch
    - document SFTP support; thanks to Matthew Palmer for the report and to
      Christian Kujau for the patch; Closes: #320586

  [Jari Aalto]
  * Update to packaging format "3.0 (quilt)"
  * debian/control:
    - Update to debhelper 9.
    - Update to Standards-Version 3.9.3.
    - Lowercase first line in description.
  * debian/compat:
    - Update to 9.
  * debian/copyright:
    - Update to format 1.0.
  * debian/patches
    - Update to quilt and DEP-3; README.source no longer needed.
  * debian/rules:
    - Simplify copyring config.sub and config.guess files.
    - Remove ghost target "unpatch".
  * Closes: #669616

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jun 2012 23:02:59 +0200

sitecopy (1:0.16.6-3) unstable; urgency=medium

  * debian/patches/20_bts549721_add_compatibility_for_neon_0.29.0.dpatch
    - added support for neon 0.29.0; thanks to Lucas Nussbaum for the report;
      Closes: #549721
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 06 Oct 2009 00:07:40 +0200

sitecopy (1:0.16.6-2) unstable; urgency=medium

  * urgency=medium since it fixed a legal issue (openssl link)
  * debian/control
    - updated my email address
    - bump Standards-Version to 3.8.1 (no changes needed)
    - updated b-d to use libneon27-gnutls-dev, avoiding a link to openssl;
      thanks to Adrian Bunk for the report and the solution; Closes: #530672
    - updated Kartik's email address
    - removed DM-Upload-Allowed field, we are all DDs now
  * debian/copyright
    - updated debian packaging formatting, adding a proper copyright notice,
      also adding myself to that list
    - point to LGPL-2 for local license

 -- Sandro Tosi <morph@debian.org>  Wed, 27 May 2009 23:54:48 +0200

sitecopy (1:0.16.6-1) unstable; urgency=low

  * New upstream release
    - fix a crash with progress bar enabled; Closes: #486378
  * debian/control
    - set myself as maintainer, Kartik as uploader
    - set Vcs-{Browser,Git} fields
    - bump Standards-Version to 3.8.0
      + debian/README.source added
    - added DM-Upload-Allowed flag
  * debian/patches/05_libneon27_transition.dpatch
    - removed since merged upstream
  * debian/copyrightdebian/copyright
    - updated upstream email and copyright years
  * debian/patches/10_bts410703_preserve_storage_files_sigint.dpatch
    - added to preserve storage files if SIGINT (Ctrl+C) is sent to sitecopy;
      thanks to Andreas Henriksson for the patch; Closes: #410703

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 22 Jul 2008 07:31:05 +0200

sitecopy (1:0.16.3-17) unstable; urgency=low

  [Kartik Mistry]
  * debian/patches:
    + 05_libneon27_transition.dpatch: Added libneon28 support
      (Closes: #473939)
    + 01_remote_dynamic_rc.dpatch: Updated for libneon28 support

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 03 Apr 2008 09:36:34 +0530

sitecopy (1:0.16.3-16) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Fixed upstream homepage
  * debian/rules:
    + [Lintian] Fixed config.guess, config.sub presence in .diff.gz,
      Thanks to Kumar Appaiah for help

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 27 Mar 2008 11:31:20 +0530

sitecopy (1:0.16.3-15) unstable; urgency=low

  [Kartik Mistry]
  * debian/watch:
    + Updated upstream website (Closes: #449768)
  * debian/copyright:
    + Updated upstream download location
    + Updated copyright years
  * debian/patches:
    + Refresh patch 05_libneon27_transition.dpatch from upstream
      Thanks to Joe Orton <joe@light.plus.com>
    + Moved manpage related changes from 02_french-po-fix.dpatch to
      04_manpages_addition_fixes.dpatch
  * debian/README.Debian:
    + Indented to 80 characters
    + Fixed typo of GNOME
    + Updated time-stamps

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 25 Feb 2008 23:37:33 +0530

sitecopy (1:0.16.3-14) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Updated Homepage entry
    + Updated Standards-Version to 3.7.3
  * debian/copyright:
    + Updated link of GPL-2 license
    + Updated copyright holders and package copyright

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 28 Dec 2007 13:42:30 +0530

sitecopy (1:0.16.3-13) unstable; urgency=low

  [Kartik Mistry]
  * Added patch for sftp protocol doesn't work with openssh >= 1:4.2p1-1,
    Thanks to Agustin Martin <agustin.martin@hispalinux.es> for patch
    (Closes: #447598)
  * debian/copyright: corrected package copyright typos

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 23 Oct 2007 09:48:23 +0530

sitecopy (1:0.16.3-12) unstable; urgency=low

  [Kartik Mistry]
  * Added patch patches/05_libneon27_transition.dpatch for libneon27 support
  * debian/rules: indented configure flags, better way to deal with config.*
    files

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 16 Oct 2007 16:02:36 +0530

sitecopy (1:0.16.3-11) unstable; urgency=low

  [Kartik Mistry]
  * Added fix to correct French manpage patch, Thanks to Ludovic Rousseau

