=== debian/control ===
Source: sitecopy
Section: web
Priority: extra
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Christian Marillat <marillat@debian.org>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               autotools-dev,
               gettext,
               libexpat1-dev,
               libgnutls-dev,
               libneon27-gnutls-dev,
               libxml2-dev
Homepage: http://www.manyfish.co.uk/sitecopy/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/sitecopy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sitecopy.git

Package: sitecopy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program for managing a WWW site via FTP, SFTP, DAV or HTTP
 Sitecopy is for copying locally stored websites to remote servers. With a
 single command, the program will synchronize a set of local files to a remote
 server by performing uploads and remote deletes as required. The aim is to
 remove the hassle of uploading and deleting individual files using an FTP
 client. Sitecopy will also optionally try to spot files you move locally, and
 move them remotely.
 .
 Sitecopy is designed to not care about what is actually on the remote server -
 it simply keeps a record of what it THINKS is in on the remote server, and
 works from that.
