=== debian/watch ===
version=3
http://www.manyfish.co.uk/sitecopy/sitecopy-(.*)\.tar\.gz \
	debian svn-upgrade
